org.modeshape.jcr

## Class RepositoryConfiguration.Security

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Security

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.Security
      extends Object

  The security-related configuration information.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.Security(Document security)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryConfiguration.AnonymousSecurity` | `getAnonymous()` Get the configuration information for the anonymous authentication provider.
    `protected List<RepositoryConfiguration.Component>` | `getCustomProviders()` Get the ordered list of custom authentication providers.
    `protected List<RepositoryConfiguration.Component>` | `getCustomProviders(Problems problems)`
    `RepositoryConfiguration.JaasSecurity` | `getJaas()` Get the configuration information for the JAAS provider.
    `protected void` | `validateCustomProviders(Problems problems)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.Security

          protected RepositoryConfiguration.Security(Document security)

  - ### Method Detail

    - #### getJaas

          public RepositoryConfiguration.JaasSecurity getJaas()

      Get the configuration information for the JAAS provider.
      Returns:
        the JAAS provider configuration information; null if JAAS is not configured

    - #### getAnonymous

          public RepositoryConfiguration.AnonymousSecurity getAnonymous()

      Get the configuration information for the anonymous authentication provider.
      Returns:
        the anonymous provider configuration information; null if anonymous users are not allowed

    - #### getCustomProviders

          protected List<RepositoryConfiguration.Component> getCustomProviders()

      Get the ordered list of custom authentication providers. Note that the JAAS and anonymous provider specified via `getJaas()` and `getAnonymous()` are not included in this list. However, should the JAAS and/or anonymous providers be specified in this list (to change the ordering), the `getJaas()` and/or `getAnonymous()` configuration components will be null.
      Returns:
        the immutable list of custom providers; never null but possibly empty

    - #### getCustomProviders

          protected List<RepositoryConfiguration.Component> getCustomProviders(Problems problems)

    - #### validateCustomProviders

          protected void validateCustomProviders(Problems problems)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.